/**
 * @file ispindels.h
 */

#ifndef _ISPINDEL_H
#define _ISPINDEL_H

void ispindel_dump(sys_ispindel_list *ispindel);

/**
 * @brief Messages received from a iSpindel using the MQTT sender.
 *        A new node is created if this is the first message of the
 *        iSpindel, else the last seen time is updated. Then the last
 *        actual state is recorded. A log line is written when a beer
 *        is assigned.
 * @param topic The MQTT topic string, contains the ispindel name and
 *        keyword for the data.
 * @param payload The value for the selected keyword.
 */
void ispindel_mqtt(char *topic, char *payload);


#endif
